import { ROLE_CODE } from '@/constants/user'

const icons = {
    shop: require('@/assets/index/mall-icon.png'),
    encyclopedia: require('@/assets/index/encyclopedia-icon.png'),
    recommend: require('@/assets/index/recommend-icon.png'),
    map: require('@/assets/index/map-icon.png'),
    calculator: require('@/assets/index/calculator-icon.png'),
    Highlyrecommented: require('@/assets/index/recommend.png'),
}

const DRIFT = ROLE_CODE['DRIFT']
const CUSTOMER = ROLE_CODE['CUSTOMER']
const CONSULTANT = ROLE_CODE['CONSULTANT']
// const ESTATE_AGENT = ROLE_CODE['ESTATE_AGENT']
// const CHANNEL_AGENT = ROLE_CODE['CHANNEL_AGENT']

const menus = [

    {
        name: '积分商城',
        url: '/pages/shop/index',
        icon: icons.shop,
        userTypes: [CUSTOMER, CONSULTANT, DRIFT],
        // style: '',
        switchTab: true,
        code: 'integralMall',
    },
    {
        name: '购房百科',
        url: '/pages/policy/index?from=mine',
        icon: icons.encyclopedia,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'buyingEncyclopedia'
    },
    {
        name: '推荐客户',
        url: '/useless/pages/agent/recommend/index?type=index&cityId=',
        icon: icons.recommend,
        userTypes: [CUSTOMER, DRIFT],
        code: 'refercustomers',
        city: true,
    },
    {
        name: '地图找房',
        url: '/pages/project/map/index',
        icon: icons.map,
        userTypes: [CUSTOMER, CONSULTANT, DRIFT],
        code: 'findRoom'
    },
    {
        name: '重点推荐',
        // url: '/pages/toolKit/index',
        icon: icons.Highlyrecommented,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Highlyrecommented'
    },
    {
        name: '房贷计算器',
        url: '/pages/toolKit/index',
        icon: icons.calculator,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'MortgageCalculator'
    },

    {
        name: '楼盘列表',
        // url: '/pages/toolKit/index',
        // icon: icons.calculator,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'PropertyListing'
    },
    {
        name: '活动资讯',
        // url: '/pages/toolKit/index',
        // icon: icons.calculator,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'EventInformation',
        switchTab: true,
    },
    {
        name: '热门活动',
        // url: '/pages/toolKit/index',
        // icon: icons.calculator,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Popularactivities',
        switchTab: true,
    },
    {
        name: '最新资讯',
        // url: '/pages/toolKit/index',
        // icon: icons.calculator,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'LatestInformation',
        switchTab: true,
    },
    {
        name: '我的客户',
        // url: '/pages/toolKit/index',
        // icon: icons.calculator,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Myclient',
    },
    {
        name: '我的活动',
        url: '/pages/activity/myActivity?from=mine',
        icon: icons.activities,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'MyActivities'
    },
    {
        name: '我的助力',
        url: '/pages/activity/assistancePage',
        icon: icons.help,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Myhelp'
    },
    {
        name: '我的拼团',
        url: '/pages/activity/assemblePage',
        icon: icons.regiment,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Mygroup'
    },
    {
        name: '我的收藏',
        url: '/pages/person/favorite/index',
        icon: icons.collection,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'MyFavorites'
    },
    {
        name: '我的资料',
        url: '/useless/pages/person/profile/index',
        icon: icons.profile,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'MyInformation'
    },
    {
        name: '我的消息',
        url: '/useless/pages/person/profile/index',
        icon: icons.profile,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Mymessage'
    },
    {
        name: '兑换记录',
        url: '/useless/pages/shop/record/index',
        icon: icons.exchange,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Exchangerecords'
    },
    {
        name: '意见反馈',
        url: '/useless/pages/person/feedback/index',
        icon: icons.feedback,
        userTypes: [CUSTOMER, CONSULTANT],
        code: 'Feedback'
    },


]

export { icons, menus }